JiBX
  1. JiBX
  2. JIBX-146

Remove calls to deprecated parts of ANT

    Details

    • Type: Improvement Improvement
    • Status: Open Open
    • Priority: Trivial Trivial
    • Resolution: Unresolved
    • Affects Version/s: JiBX 1.1.2
    • Fix Version/s: None
    • Component/s: core
    • Labels:
      None
    • Environment:
      All
    • Number of attachments :
      1

      Description

      When building JiBX, I saw some warnings for using deprecated parts of ANT. I've enclosed a patch which fixes this.

      Before applying it, be aware that it does mandate a minimum version of ANT 1.6 is used by anyone using the compile tasks. Websphere bundles a version of ANT 1.5 in certain versions, so ANT 1.6 isn't quite ubiquitous unfortunately, despite having been out for over two years.

        Activity

        There are no comments yet on this issue.

          People

          • Assignee:
            Dennis Sosnoski
            Reporter:
            James Abley
          • Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated: